/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef PLACEROLE_H
#define PLACEROLE_H

class MomentInterval;

/**
 * @stereotype role
 */
class PlaceRole {
public:
    void assessAcrossMIs();

    void listMIs();

    static void listRoles();

    static int assessAcrossRoles();

private:
    /** @supplierCardinality 0..*
     * @clientCardinality 1
     */
    MomentInterval * lnkUnnamed;

    int assignedNumber;
    int status;
};
#endif //PLACEROLE_H
